import { TdSwiperProps } from './type';
import './style';
export * from './type';
export declare type SwiperProps = TdSwiperProps;
export declare const Swiper: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("..").IconConfig;
} & import("./swiper").SwiperVue, {
    currentIndex: number;
    isHovering: boolean;
    isSwitching: boolean;
    swiperItemList: import("vue").VNodeComponentOptions[];
    showArrow: boolean;
}, {
    updateSwiperItems(): void;
    setTimer(): void;
    clearTimer(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onMouseEnterNavigationItem(i: number): void;
    onClickNavigationItem(i: number): void;
    swiperTo(index: number, context: {
        source: import("./type").SwiperChangeSource;
    }): void;
    goNext(context: {
        source: import("./type").SwiperChangeSource;
    }): void;
    goPrevious(context: {
        source: import("./type").SwiperChangeSource;
    }): void;
    getWrapAttribute(attr: string): any;
    renderPagination(): JSX.Element;
    renderArrow(): JSX.Element;
    renderNavigation(): JSX.Element | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("./type").SwiperNavigation;
    renderSwiperItems(): import("vue").VNode[];
}, {
    swiperItemLength: number;
    navigationConfig: import("./type").SwiperNavigation;
    isEnd: boolean;
    propsToUpdateSetTimer: any[];
    swiperWrapClass: any;
    containerStyle: any;
    swiperItems: import("vue").VNode[];
}, {
    animation: "fade" | "slide";
    autoplay: boolean;
    current: number;
    defaultCurrent: number;
    direction: "vertical" | "horizontal";
    duration: number;
    height: number;
    interval: number;
    loop: boolean;
    navigation: ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("./type").SwiperNavigation;
    stopOnHover: boolean;
    theme: "dark" | "light";
    trigger: "click" | "hover";
    type: "default" | "card";
    onChange: (current: number, context: {
        source: import("./type").SwiperChangeSource;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default & {
    useGlobalIcon(tdIcon: Record<string, any>): import("..").IconConfig;
} & import("./swiper").SwiperVue, {
    currentIndex: number;
    isHovering: boolean;
    isSwitching: boolean;
    swiperItemList: import("vue").VNodeComponentOptions[];
    showArrow: boolean;
}, {
    updateSwiperItems(): void;
    setTimer(): void;
    clearTimer(): void;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onMouseEnterNavigationItem(i: number): void;
    onClickNavigationItem(i: number): void;
    swiperTo(index: number, context: {
        source: import("./type").SwiperChangeSource;
    }): void;
    goNext(context: {
        source: import("./type").SwiperChangeSource;
    }): void;
    goPrevious(context: {
        source: import("./type").SwiperChangeSource;
    }): void;
    getWrapAttribute(attr: string): any;
    renderPagination(): JSX.Element;
    renderArrow(): JSX.Element;
    renderNavigation(): JSX.Element | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("./type").SwiperNavigation;
    renderSwiperItems(): import("vue").VNode[];
}, {
    swiperItemLength: number;
    navigationConfig: import("./type").SwiperNavigation;
    isEnd: boolean;
    propsToUpdateSetTimer: any[];
    swiperWrapClass: any;
    containerStyle: any;
    swiperItems: import("vue").VNode[];
}, {
    animation: "fade" | "slide";
    autoplay: boolean;
    current: number;
    defaultCurrent: number;
    direction: "vertical" | "horizontal";
    duration: number;
    height: number;
    interval: number;
    loop: boolean;
    navigation: ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("./type").SwiperNavigation;
    stopOnHover: boolean;
    theme: "dark" | "light";
    trigger: "click" | "hover";
    type: "default" | "card";
    onChange: (current: number, context: {
        source: import("./type").SwiperChangeSource;
    }) => void;
}>>;
export declare const SwiperItem: import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, unknown, {
    active: boolean;
    disposeIndex: number;
    translateX: number;
    zIndex: number;
    itemStyle: any;
}, {
    index: number;
    currentIndex: number;
    isSwitching: boolean;
    getWrapAttribute: Function;
    swiperItemLength: number;
    animation: "fade" | "slide";
    autoplay: boolean;
    current: number;
    defaultCurrent: number;
    direction: "vertical" | "horizontal";
    duration: number;
    height: number;
    interval: number;
    loop: boolean;
    navigation: ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("./type").SwiperNavigation;
    stopOnHover: boolean;
    theme: "dark" | "light";
    trigger: "click" | "hover";
    type: "default" | "card";
    onChange: (current: number, context: {
        source: import("./type").SwiperChangeSource;
    }) => void;
}> & import("vue").PluginObject<import("vue/types/vue").ExtendedVue<{
    classPrefix: string;
    componentName: string;
    commonSizeClassName: Record<string, string>;
    commonStatusClassName: Record<string, string>;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & import("vue").default, unknown, unknown, {
    active: boolean;
    disposeIndex: number;
    translateX: number;
    zIndex: number;
    itemStyle: any;
}, {
    index: number;
    currentIndex: number;
    isSwitching: boolean;
    getWrapAttribute: Function;
    swiperItemLength: number;
    animation: "fade" | "slide";
    autoplay: boolean;
    current: number;
    defaultCurrent: number;
    direction: "vertical" | "horizontal";
    duration: number;
    height: number;
    interval: number;
    loop: boolean;
    navigation: ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | import("./type").SwiperNavigation;
    stopOnHover: boolean;
    theme: "dark" | "light";
    trigger: "click" | "hover";
    type: "default" | "card";
    onChange: (current: number, context: {
        source: import("./type").SwiperChangeSource;
    }) => void;
}>>;
export default Swiper;
